Skip to Content
veriom

Override gate evaluation

POST
/v1/workspaces/{workspace_id}/architecture-intent/gates/evaluations/{evaluation_id}/overrides

Authorization

workspaceToken
headerAuthorizationBearer <vat_<opaque-token>>

Expiring, hashed workspace token with explicit scopes.

Path Parameters

workspace_id*Workspace Id
Formatuuid
evaluation_id*Evaluation Id
Formatuuid

Request Body

application/json
  1. body
expires_at*Expires At
Formatdate-time
reason*Reason
Length10 <= length <= 4000
request_key*Request Key
Formatuuid

Response Body

Successful Response

application/json
  1. response
actor_id*Actor Id
Formatuuid
actor_name*Actor Name
created_at*Created At
Formatdate-time
evaluation_id*Evaluation Id
Formatuuid
expires_at*Expires At
Formatdate-time
id*Id
Formatuuid
rationale*Rationale
revocation_reason?string|null
revoked_at?|null
revoked_by_name?string|null
Example Request
curl -X POST 'https://api.veriom.ai/v1/workspaces/497f6eca-6276-4993-bfeb-53cbbbba6f08/architecture-intent/gates/evaluations/497f6eca-6276-4993-bfeb-53cbbbba6f08/overrides' \  -H 'Content-Type: application/json' \  -d '{  "expires_at": "2019-08-24T14:15:22Z",  "reason": "stringstri",  "request_key": "57cadb9d-efba-4c3f-8576-3d122dfdc17a"}'
Example Response
{  "actor_id": "04f37679-bfbf-4906-b749-01756515cecf",  "actor_name": "string",  "created_at": "2019-08-24T14:15:22Z",  "evaluation_id": "4108ec8e-6efd-4b9b-bace-0bb4c296c324",  "expires_at": "2019-08-24T14:15:22Z",  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "rationale": "string",  "revocation_reason": "string",  "revoked_at": "2019-08-24T14:15:22Z",  "revoked_by_name": "string"}